package com.philisense.www.dao;


import java.util.List;
import java.util.Map;

public interface ProMenuDAO extends BaseCRUDDAO{

    public List<Map<String, Object>> getProMenuTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> getAllForProMenuByUserId(Map<String, Object> map);

    List<Map<String, Object>> getProMenuTreeByParentidByUserId(Map<String, Object> map);

    List<Map<String, Object>> getProMenuTreeByParentidByUserIdAndText(Map<String, Object> map);

    List<Map<String, Object>> getTreeParentByTree(List<Map<String, Object>> treedata);
}
